<?php
require_once('../../../includes/load.php');


//funcion para traer los datos de la base de datos a la tabla listado programa
$convert_utf8 = function ($s) {
         if (!mb_check_encoding($s, 'UTF-8')) {
             $s = utf8_encode($s);
         }
         return $s;
     };
$sql = $db->query("SELECT pm.id as IdProduccionMI, op.id, pm.FechaRegistroUsuario, pm.FechaRegistroProduccionMI, ac.NombreActivo, pm.HorasProduccion, im.NombreImplemento, g.GNombre, ts.NombreTipoServicioMI FROM operacion op INNER JOIN granja g ON op.IdGranja = g.IdGranja INNER JOIN produccionmi pm ON op.id = pm.IdOperacion INNER JOIN implemento im ON pm.IdImplemento = im.id INNER JOIN activo ac ON pm.IdActivo = ac.id INNER JOIN tiposerviciomi ts ON pm.IdTipoServicioMI = ts.IdTipoServicioMI ORDER BY pm.id DESC");
$data = array();
while( $rows = mysqli_fetch_assoc($sql) ) {
	$data[] = array_map($convert_utf8, $rows);
}
$results = array(
	"sEcho" => 1,
"iTotalRecords" => count($data),
"iTotalDisplayRecords" => count($data),
  "aaData"=>$data);
echo json_encode($results);
?>